Cruzeirao/src/main/java/cruzeirao/beans/ConviteMB.java
package cruzeirao.beans;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import cruzeirao.DAO.UserDAO;
import cruzeirao.modelos.Campeonato;
import cruzeirao.modelos.Categoria;
import cruzeirao.modelos.Convite;
import cruzeirao.modelos.Equipe;
import cruzeirao.modelos.Inscricao;
import cruzeirao.modelos.User;
import cruzeirao.service.CampService;
import cruzeirao.service.ConviteService;
import cruzeirao.service.EquipeService;
import cruzeirao.service.InscricaoService;
import cruzeirao.service.UserService;

@ManagedBean(name="ConviteMB")
@SessionScoped
public class ConviteMB {
	
	private List<Equipe> equipes = new ArrayList<Equipe>();
	private Equipe equipeAtual = new Equipe();
	private Campeonato campAtual = new Campeonato();
	private Categoria catAtual = new Categoria();
	private List<Categoria> categorias = new ArrayList<Categoria>();
	private CampService campService = new CampService();
	private User usuarioAtual = new User();
	private UserDAO user = new UserDAO();
	private EquipeService equipeService = new EquipeService();
	private Inscricao inscricao = new Inscricao();
	private InscricaoService inscService = new InscricaoService();
	private UserService userService = new UserService();
	private ArrayList<User> usuariosList = new ArrayList<User>();
	private Convite convite = new Convite();
	private ConviteService convService = new ConviteService();
	private List<Convite> convites = new ArrayList<Convite>();
	
	public String salvar() {
		inscricao.setEquipe(equipeAtual);
		inscricao.setCategoria(catAtual);
		inscricao.getCategoria().setCampeonato(campAtual);
		
		inscService.salvar(inscricao);
		
		equipeAtual.addInscricao(inscricao);
		equipeService.salvarEditado(equipeAtual);
		
		for(User u: usuariosList) {
			
			convite.setInscricao(inscricao);
			convite.setUsuario(u);
			u.addConvite(convite);
			convService.salvar(convite);
			userService.salvarEditado(u);
			convite = new Convite();
		}

		return "inicio";
	}
	
	public ArrayList<User> getUsuariosList() {
		return usuariosList;
	}
	
	public List<Inscricao> getInscricoes(){
		return inscService.getInscricoes();
	}
	public void setUsuariosList(ArrayList<User> usuariosList) {
		this.usuariosList = usuariosList;
	}
	public Equipe getTimeAtual() {
		return equipeAtual;
	}
	public void setEquipeAtual(Equipe time) {
		this.equipeAtual = time;
	}
	public Campeonato getCampAtual() {
		return campAtual;
	}
	public void setCampAtual(Campeonato campAtual) {
		this.campAtual = campAtual;
	}
	public CampService getCampService() {
		return campService;
	}
	public void setCampService(CampService campService) {
		this.campService = campService;
	}
	public Categoria getCatAtual() {
		return catAtual;
	}
	public void setCatAtual(Categoria catAtual) {
		this.catAtual = catAtual;
	}
	public List<Campeonato> getCampeonatos() {
		return campService.getCampeonatos();
	}
	public List<Categoria> getCategorias() {
		return categorias;
	}
	public User getUsuarioAtual() {
		return usuarioAtual;
	}
	public void setUsuarioAtual(User usuarioAtual) {
		this.usuarioAtual = usuarioAtual;
	}
	
	public List<Equipe> getTimesUsuarioAtual() {
		usuarioAtual = user.pesquisarPorUsername(usuarioAtual.getUserAtual());
		
		equipes = equipeService.getEquipes();
		
		for(Equipe t : equipes)
		{
			if(t.getDiretor().getNome() != usuarioAtual.getNome())
			{
				equipes.remove(t);
			}
		}
		
		return equipes;
	}
	
	public List<Convite> getConvitesUsuarioAtual() {
		usuarioAtual = user.pesquisarPorUsername(usuarioAtual.getUserAtual());
		
		return usuarioAtual.getConvites();
	}
	
	public List<Equipe> getAllTimes()
	{
		List<Equipe> equipes = equipeService.getEquipes();
		HashSet<Equipe> timesNaoInscritos = new HashSet<Equipe>();
		List<Equipe> listaTimes = new ArrayList<Equipe>();
		
		for(Equipe t : equipes)
		{
			for(Inscricao i : t.getInscricoes())
			{
				if(!i.isValidadas() && !i.getPagamento())
				{
					timesNaoInscritos.add(i.getEquipe());
				}
			}
		}
		
		Iterator<Equipe> i = timesNaoInscritos.iterator();
		
		while(i.hasNext())
		{
			listaTimes.add(i.next());
		}
		return listaTimes;
	}
	
	public List<Inscricao> getInscricoesValidadas(){
		List<Inscricao> inscricoes = new ArrayList<Inscricao>();
		
		for(Inscricao i : inscService.getInscricoes())
		{
			if(i.isValidadas() && i.getPagamento())
			{
				inscricoes.add(i);
			}
		}
		
		return inscricoes;
	}
	
	public void updateCategories()
	{
		categorias = campAtual.getCategorias();
	}
	
	public List<User> getUsuarios(){
		return userService.getUsuarios();
	}
	
	
	public void autorizar(Equipe time) {
		Inscricao insc = null;
		
		for(Inscricao i : time.getInscricoes())
		{
			if(i.getEquipe() == time)
			{
				insc = i;
			}
		}
		insc.setPagamento(true);
		insc.setValidadas(true);
		
		inscService.salvarEditado(insc);
	}
	
	public void remove(Equipe time) {
		Inscricao insc = null;
		
		for(Inscricao i : time.getInscricoes())
		{
			if(i.getEquipe() == time)
			{
				insc = i;
			}
		}
		time.getInscricoes().remove(insc);
		equipeService.salvarEditado(time);
		inscService.salvarEditado(insc);
	}
	
	public void removeConvite(Convite convite) {		
		
		for(Convite c : convite.getUsuario().getConvites())
		{
			if(c == convite)
			{
				usuarioAtual.getConvites().remove(c);
			}
		}
	}
	
	public void autorizarConvite(Convite c) {
		Inscricao inscricao = c.getInscricao();
		User user = c.getUsuario();
		
		inscricao.addJogador(user);
		user.removeConvite(c);
		
		inscService.salvarEditado(inscricao);
		userService.salvarEditado(user);
		convService.remove(c);
	}
	
	
	public List<Convite> getConvites() {
		return convites;
	}
	public void setConvites(List<Convite> convites) {
		this.convites = convites;
	}
}

Cruzeirao/src/main/java/cruzeirao/beans/InscritoMB.java
package cruzeirao.beans;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import cruzeirao.modelos.Equipe;
import cruzeirao.modelos.Inscricao;
import cruzeirao.modelos.Inscrito;
import cruzeirao.modelos.Tipo;
import cruzeirao.modelos.User;
import cruzeirao.service.InscService;

@ManagedBean(name = "InscMB")
@SessionScoped
public class InscritoMB {
	
	private Inscrito inscrito = new Inscrito();
	private InscService service =  new InscService();
	private Equipe equipe = new Equipe();
	private User usuario = new User();
	private Inscricao inscricao = new Inscricao();
	
	public String salvar()
	{
		inscrito.setEquipe(equipe);
		inscrito.setUsuario(usuario);
		inscrito.getUsuario().setTipo(Tipo.JOGADOR);
		inscrito.addInscricoes(inscricao);
		
		service.salvar(inscrito);
		inscrito = new Inscrito();
		
		return "inicio";
	}

	public Inscrito getInscrito() {
		return inscrito;
	}

	public void setInscrito(Inscrito inscrito) {
		this.inscrito = inscrito;
	}

	public InscService getService() {
		return service;
	}

	public void setService(InscService service) {
		this.service = service;
	}

	public Equipe getEquipe() {
		return equipe;
	}

	public void setEquipe(Equipe equipe) {
		this.equipe = equipe;
	}
	
	public List<Inscrito> getInscritos()
	{
		return service.getInscritos();
	}

}

Cruzeirao/src/main/webapp/paginas/todos/chave.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.chave.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	<p:panel id="pnl" header="#{msg['paginas.chave.menu']}"  style="border-color:black;border-width:2px; border-style:solid; ">
	   
	</p:panel>
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraCamp.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['paginas.todos.mostraCampeonato.title']}" />
	</ui:define>

	<ui:define name="principal">
	
	<h:form id="form">
	  <p:dataTable id="tabelaCamp" var="camp" value="#{CampeonatoMB.campeonatos}" 
	  			   emptyMessage="#{msg['paginas.todos.mostraCampeonato.vazio']}"
	  			   style="border: solid 2px black;">  
       
        	<f:facet name="header">
            	Campeonatos
        	</f:facet>
        
	        <p:column headerText="#{msg['paginas.todos.mostraCampeonato.nome']}" >
	        	<p:outputLabel value="#{camp.nome}" />
	      	</p:column>
	      	
	      	<p:column style="width:32px;text-align: center">
	            <p:commandButton update=":form:campDetalhes" oncomplete="PF('campDialog').show()" icon="ui-icon-search" title="Detalhes">
	                <f:setPropertyActionListener value="#{camp}" target="#{CampeonatoMB.campSelecionado}" />
	            </p:commandButton>
       		</p:column>
       		
       		      			
       		<p:column style="width:32px;text-align: center"> 
				<p:commandButton id="remover" styleClass="ui-icon-trash"
					style="text-align:center"
					actionListener="#{CampeonatoMB.remover(camp)}"
					update="tabelaCamp" />
	  		</p:column>
    	</p:dataTable>
    	
    	
    	<p:dialog header="Detalhes" widgetVar="campDialog" resizable="false">
	        <p:outputPanel id="campDetalhes" style="text-align:center;">
	            <p:panelGrid  columns="2" columnClasses="1,2">
	 
	                <h:outputText value="Data de Início:" />
	                <h:outputText value="#{CampeonatoMB.campSelecionado.dataInicioCampeonato.time}" />
	 
	                <h:outputText value="Data de encerramento: " />
	                <h:outputText value="#{CampeonatoMB.campSelecionado.dataFimCampeonato.time}" />
	 
	                <h:outputText value="Mín. de jogadores: " />
	                <h:outputText value="#{CampeonatoMB.campSelecionado.minJogadores}" />
	                
	                <h:outputText value="Max de jogadores" />
	                <h:outputText value="#{CampeonatoMB.campSelecionado.maxJogadores}" />
	                
	                <h:outputText value="Taxa Inscrição:" />
	                <h:outputText value="R$#{CampeonatoMB.campSelecionado.valorTaxa}"/>
	                
	                <h:outputText value="Organizador:" />
	                <h:outputText value="#{CampeonatoMB.campSelecionado.diretor.nome}"/> 
	                
	                <h:outputText value="Categorias:" />  
					<ui:repeat value="#{CampeonatoMB.campSelecionado.categorias}" var="cat">
					  <h:outputText value="#{cat.nome}"/>
					</ui:repeat>

	                
	                
	            </p:panelGrid>
	        </p:outputPanel>
    	</p:dialog>
    	
	</h:form>
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraConvites.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml" 
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets">
	
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.listaConvite.title']}" />
	</ui:define>
	<ui:define name="principal">
		<h:form id="formTableConvites">
			<p:dataTable id="convites" var="c"
				value="#{InscricaoMB.convitesUsuarioAtual}"
				emptyMessage="#{msg['paginas.listaConvite.empty']}">
				<p:column headerText="#{msg['paginas.listaConvite.nomeTime']}">
					<h:outputText value="#{c.inscricao.equipe.nome}" />
				</p:column>
				<p:column headerText="#{msg['paginas.listaConvite.nomeDiretor']}">
					<h:outputText value="#{c.inscricao.equipe.diretor}" />
				</p:column>
				<p:column headerText="#{msg['paginas.listaConvite.campeonato']}">
					<h:outputText value="#{c.inscricao.campeonato.nome}" />
				</p:column>
				<p:column headerText="#{msg['paginas.listaConvite.categoria']}">
					<h:outputText value="#{c.inscricao.categoria.nome}" />
				</p:column>
				<p:column headerText="#{msg['paginas.listaConvite.dataConvite']}">
					<h:outputText value="#{c.data.time}" />
				</p:column>
				<p:column style="width:100px"
					headerText="#{msg['paginas.inscricoes.autorizar']}">
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center" actionListener="#{InscricaoMB.removeConvite(c)}"
						update=":formTableConvites" />
				</p:column>
				<p:column style="width:100px"
					headerText="#{msg['paginas.inscricoes.confirmar']}">
					<p:commandLink id="confirmar" styleClass="ui-icon ui-icon-check"
						style="text-align:center"
						actionListener="#{InscricaoMB.autorizarConvite(c)}"
						update=":formTableConvites" />
				</p:column>
			</p:dataTable>
		</h:form>
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraEquipes.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.todos.mostraEquipe.titulo']}" />
	</ui:define>

	<ui:define name="principal">
		<h:form id="formEquipes">
			  <p:dataTable id="equipes" var="equipe" value="#{EquipeMB.equipes}" 
			  			   emptyMessage="#{msg['paginas.todos.mostraEquipe.vazio']}"
			  			     style="border: solid 2px black;"> 
		        
		        <f:facet name="header">
            		Equipes
        		</f:facet>
        
		        <p:column headerText="#{msg['paginas.todos.mostraEquipe.nome']}" >
		        	<p:outputLabel value="#{equipe.nome}" />
		      	</p:column>
		      	
		      	<p:column style="width:32px;text-align: center">
	            	<p:commandButton update="formEquipes" oncomplete="PF('equipeDialog').show()" icon="ui-icon-search" title="Detalhes">
	                	<f:setPropertyActionListener value="#{equipe}" target="#{EquipeMB.equipeSelecionada}" />
	            	</p:commandButton>
       			</p:column>
		   	 </p:dataTable>
		   	 
		   	<p:dialog header="Detalhes" widgetVar="equipeDialog" resizable="false">
	       		<p:outputPanel id="equipeDetalhes" style="text-align:center;">
		            <p:panelGrid  columns="2" columnClasses="1,2">
		                <h:outputText value="Diretor: " />
		                <h:outputText value="#{EquipeMB.equipeSelecionada.diretor}" />
		                
		                <h:outputText value="Cidade:" />
		                <h:outputText value="#{EquipeMB.equipeSelecionada.cidade}" />
		 
		                <h:outputText value="Data de fundação: " />
		                <h:outputText value="#{EquipeMB.equipeSelecionada.dataFundacao.time}" />

		                <h:outputText value="Jogadores:" />
		                <ui:repeat value="#{EquipeMB.equipeSelecionada.inscricoes}" var="jog">
							<h:outputText value="#{jog.IDInsc}"/>
						</ui:repeat>
		                
		            </p:panelGrid>
	        </p:outputPanel>
    	</p:dialog>

	 	</h:form>
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraEquipesCampeonato.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	<ui:define name="title"> 
		<h:outputText value="#{msg['paginas.todos.inscricoes.titulo']}" />
	</ui:define>

	<ui:define name="principal">
	
	  <p:dataTable id="inscricoes" var="inscricao" value="#{InscricaoMB.inscricoes}" 
	  			   emptyMessage="#{msg['paginas.inscricoes.vazio']}"
	  			     style="border: solid 4px black;"> 
        
        <p:column headerText="#{msg['paginas.inscricoes.todos.id']}" >
        	<p:outputLabel value="#{inscricao.numero}" />
      	</p:column>
        
        <p:column headerText="#{msg['paginas.inscricoes.todos.nome']}"  >
        	<p:outputLabel value="#{inscricao.equipe.nome}" />
      	</p:column>                 
           
        <p:column headerText="#{msg['paginas.inscricoes.todos.campeonato']}"  >
        	<p:outputLabel value="#{incricao.campeonato.nome}" />
      	</p:column>  
      	
    </p:dataTable> 
	 
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraInscritos.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.inscritos.todos.title']}" />
	</ui:define>

	<ui:define name="principal">
	
	  <p:dataTable id="inscricoes" var="inscrito" value="#{InscricaoMB.inscricoesValidadas}" 
	  			   emptyMessage="#{msg['paginas.inscritos.vazio']}"
	  			     style="border: solid 4px black;"> 
      
        <p:column headerText="#{msg['paginas.inscritos.todos.nome']}"  >
        	<p:outputLabel value="#{inscrito.equipe.nome}" />
      	</p:column>                 
           
        <p:column headerText="#{msg['paginas.inscritos.todos.campeonato']}"  >
        	<p:outputLabel value="#{inscrito.campeonato}" />
      	</p:column> 
      	
      <p:column headerText="#{msg['paginas.inscritos.todos.categoria']}"  >
        	<p:outputLabel value="#{inscrito.categoria.nome}" />
      	</p:column> 
      
         
    </p:dataTable> 
	 
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraLocais.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.todos.mostraLocal.titulo']}" />
	</ui:define>

	<ui:define name="principal">
	
	  <p:dataTable id="locais" var="local" value="#{LocalMB.locais}" 
	  			   emptyMessage="#{msg['paginas.todos.mostraLocal.vazio']}"
	  			     style="border: solid 4px black;"> 
        
        <p:column headerText="#{msg['paginas.todos.mostraLocal.nome']}" >
        	<p:outputLabel value="#{local.nome}" />
      	</p:column>
        
        <p:column headerText="#{msg['paginas.todos.mostraLocal.endereco']}"  >
        	<p:outputLabel value="#{local.endereco}" />
      	</p:column>                 
        
    </p:dataTable>
	 
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/mostraUsers.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['paginas.todos.mostraUsers.titulo']}" />
	</ui:define>

	<ui:define name="principal">
		  <h:form id="formTabelaUsers">
			  <p:dataTable id="tabelaUser" var="user" value="#{UserMB.usuarios}" 
			  			   emptyMessage="#{msg['paginas.todos.mostraUsers.vazio']}"
			  			   style="border: solid 2px black;">  
		        
		        <f:facet name="header">
		        	Usuários
		        </f:facet>
		        
		        <p:column headerText="#{msg['paginas.todos.mostraUsers.nome']}" >
		        	<p:outputLabel value="#{user.nome}" />
		      	</p:column>
		      	
		      	<p:column style="width:32px;text-align: center">
	            	<p:commandButton update="formTabelaUsers" oncomplete="PF('userDialog').show()" icon="ui-icon-search" title="Detalhes">
	                	<f:setPropertyActionListener value="#{user}" target="#{UserMB.userSelecionado}" />
	            	</p:commandButton>
       			</p:column>
       			
       			
       			<p:column style="width:32px;text-align: center"> 
					<p:commandButton id="remover" styleClass="ui-icon-trash"
						style="text-align:center"
						actionListener="#{UserMB.remover(user)}"
						update="tabelaUser" />
	  			</p:column>
    		</p:dataTable>
    		
    		<p:dialog header="Detalhes" widgetVar="userDialog" resizable="false">
		       
		            <p:panelGrid  columns="2" columnClasses="1,2">
		            
			            <h:outputText value="Sexo:" />
			            <h:outputText value="#{UserMB.userSelecionado.sexo}" />
				      	
				      	<h:outputText value="Tipo:" />
			            <h:outputText value="#{UserMB.userSelecionado.tipo}" />
			            
			            <h:outputText value="Login:" />
			            <h:outputText value="#{UserMB.userSelecionado.username}" />
			            
			            <h:outputText value="CPF:" />
			            <h:outputText value="#{UserMB.userSelecionado.cpf}" />
			            
			            <h:outputText value="Nascimento:" />
			            <h:outputText value="#{UserMB.userSelecionado.dataNascimento.time}" />
				      		    	
					</p:panelGrid>
    		</p:dialog>
    		
	   	</h:form>
	</ui:define>
</ui:composition>

Cruzeirao/src/main/webapp/paginas/todos/resultados.xhtml
<ui:composition template="/paginas/cadastros/layoutPrincipal.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['paginas.resultados.title']}" />
	</ui:define>
	

	<ui:define name="principal">
	<p:panel id="pnl" header="#{msg['paginas.resultados.menu']}"  style="border-color:black;border-width:2px; border-style:solid; ">
	   
	</p:panel>
	</ui:define>
</ui:composition>